import httpRequest from '@/utils/axios'

/**
 * 新建页面
 */
export function createPages(data) {
  return httpRequest.post('/api/road/v1/backend/page/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/road/v1/backend/page/list', { params })
}

/**
 * 更新页面
 */
export function updatePages(data) {
  return httpRequest.post('/api/road/v1/backend/page/update', data)
}

/**
 * 获取页面详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/road/v1/backend/page/view', { params })
}

/**
 * 删除页面
 */
export function deletePages(data) {
  return httpRequest.post('/api/road/v1/backend/page/delete', data)
}

// /**
//  * 获取应用列表
//  */
// export function getAppList(params) {
//   return httpRequest.get('/api/register/v1/activity/index', { params })
// }
// /**
//  * 新建报名
//  */
// export function createRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/create', data)
// }

// /**
//  * 报名详情
//  */
// export function getRegisterDetail(params) {
//   return httpRequest.get('/api/register/v1/activity/view', { params })
// }

// /**
//  * 更新报名
//  */
// export function updateRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/update', data)
// }

// /**
//  * 删除报名
//  */
// export function deleteRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/delete', data)
// }
// /**
//  * 停止活动
//  */
// export function stopRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/drop', data)
// }
